{
  "attributes": [
    {
      "allow_nil?": false,
      "default": "fragment(\"gen_random_uuid()\")",
      "generated?": false,
      "precision": null,
      "primary_key?": true,
      "references": null,
      "scale": null,
      "size": null,
      "source": "id",
      "type": "uuid"
    },
    {
      "allow_nil?": true,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": null,
      "scale": null,
      "size": null,
      "source": "value",
      "type": "map"
    },
    {
      "allow_nil?": true,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": {
        "deferrable": false,
        "destination_attribute": "id",
        "destination_attribute_default": null,
        "destination_attribute_generated": null,
        "index?": false,
        "match_type": null,
        "match_with": null,
        "multitenancy": {
          "attribute": null,
          "global": null,
          "strategy": null
        },
        "name": "properties_member_id_fkey",
        "on_delete": "delete",
        "on_update": null,
        "primary_key?": true,
        "schema": "public",
        "table": "members"
      },
      "scale": null,
      "size": null,
      "source": "member_id",
      "type": "uuid"
    },
    {
      "allow_nil?": true,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": {
        "deferrable": false,
        "destination_attribute": "id",
        "destination_attribute_default": null,
        "destination_attribute_generated": null,
        "index?": false,
        "match_type": null,
        "match_with": null,
        "multitenancy": {
          "attribute": null,
          "global": null,
          "strategy": null
        },
        "name": "properties_property_type_id_fkey",
        "on_delete": null,
        "on_update": null,
        "primary_key?": true,
        "schema": "public",
        "table": "property_types"
      },
      "scale": null,
      "size": null,
      "source": "property_type_id",
      "type": "uuid"
    }
  ],
  "base_filter": null,
  "check_constraints": [],
  "custom_indexes": [],
  "custom_statements": [],
  "has_create_action": true,
  "hash": "8F90B1AAD1063CF2BB0BDEBBDFBA86AF0B24D854689FB834BC20DFAB2143A451",
  "identities": [
    {
      "all_tenants?": false,
      "base_filter": null,
      "index_name": "properties_unique_property_per_member_index",
      "keys": [
        {
          "type": "atom",
          "value": "member_id"
        },
        {
          "type": "atom",
          "value": "property_type_id"
        }
      ],
      "name": "unique_property_per_member",
      "nils_distinct?": true,
      "where": null
    }
  ],
  "multitenancy": {
    "attribute": null,
    "global": null,
    "strategy": null
  },
  "repo": "Elixir.Mv.Repo",
  "schema": null,
  "table": "properties"
}